Editing host after an compute associate ends in an oops

11/08/2013 08:08 PM - Werner Dijkerman

Status: Duplicate   
Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've added an VMware "compute resources".

It has an valid connection and I see all VMs in Foreman which are present in vcenter. I've associated one host with an foreman host.

Now when I want to edit this server (from Hosts --> <server> --> Edit) I'll get an error:

undefined method `stringify_keys' for #<RbVmomi::VIM:0x007f592130a0d0>

 Stacktrace:

NoMethodError

undefined method `stringify_keys' for #<RbVmomi::VIM:0x007f592130a0d0>

app/helpers/layout_helper.rb:108:in `block in selectable_f'

app/helpers/layout_helper.rb:130:in `block (2 levels) in field'

app/helpers/layout_helper.rb:129:in `block in field'

app/helpers/layout_helper.rb:124:in `field'

app/helpers/layout_helper.rb:107:in `selectable_f'

app/views/compute_resources_vms/form/_vmware.html.erb:5:in `_app_views_compute_resources_vms_form_

_vmware_html_erb__3919416122880988611_70321240'

app/views/hosts/_compute.html.erb:4:in `block in _app_views_hosts__compute_html_erb___288765884782

4910434_70010391448020'

app/views/hosts/_compute.html.erb:1:in `_app_views_hosts__compute_html_erb___2887658847824910434_7

0010391448020'

app/views/hosts/_unattended.html.erb:2:in `_app_views_hosts__unattended_html_erb___536432064640982

41_70010393230100'

app/views/hosts/_form.html.erb:79:in `block (2 levels) in _app_views_hosts__form_html_erb__1104210

628030565048_72182420'

app/helpers/layout_helper.rb:205:in `form_for'

app/views/hosts/_form.html.erb:7:in `block in _app_views_hosts__form_html_erb__1104210628030565048

_72182420'

app/models/taxonomy.rb:55:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:54:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:53:in `as_taxonomy'

app/views/hosts/_form.html.erb:5:in `_app_views_hosts__form_html_erb__1104210628030565048_72182420

'

app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb___3159881281948401086_72150600'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

Related issues:

Is duplicate of Foreman - Bug #2680: Unable to provisioning host using UI - v... Closed 06/19/2013 06/20/2013

History
#1 - 11/08/2013 08:11 PM - Werner Dijkerman

It is with the 1.3 release and "foreman-vmware" is installed.

#2 - 11/11/2013 08:49 AM - Dominic Cleal

- Is duplicate of Bug #2680: Unable to provisioning host using UI - vSphere 4.1.0 added

#3 - 11/11/2013 08:49 AM - Dominic Cleal

- Status changed from New to Duplicate

Same issue as #2680.  I've just written a patch for this issue, linked from that bug report - would you mind trying it?

#4 - 11/11/2013 05:00 PM - Werner Dijkerman

- File weberror.log added

I've installed the file, but I've got error when opening a page in foreman. See attachement: weberror.log.

I've installed it as /usr/share/foreman/config/initializers/rbvmomi.rb and as

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/generators/rails/app/templates/config/initializers/rbvmomi.rb

It's a VMware 5.5.

My linux machine is CentOS 6.4 updated this evening with jum update (Foreman 1.3.1 is installed to)

#5 - 11/11/2013 05:05 PM - Dominic Cleal

The error log says "undefined method `reScue'" which suggests the case of the "s" character in the rbvmomi.rb file has been flipped from lower to

upper case - can you check it's all lower?

#6 - 11/11/2013 05:31 PM - Werner Dijkerman

You are right, sorry!

It is working now, thanks!

#7 - 12/09/2014 04:30 AM - Dominic Cleal

- Related to Bug #8619: undefined method `stringify_keys' for #<RbVmomi::VIM ..> added

#8 - 12/09/2014 04:30 AM - Dominic Cleal

- Related to deleted (Bug #8619: undefined method `stringify_keys' for #<RbVmomi::VIM ..>)

Files

weberror.log 149 KB 11/11/2013 Werner Dijkerman
